---
updatedAt: 2026-09-29T09:30:04.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Submit bank check details for action

# Overview

Use this method to initiate a [Bank Account Verification](https://docs.sumsub.com/sumsub/docs/bank-account-verification) based on the provided applicant data for a specific [applicant action](https://docs.sumsub.com/sumsub/docs/applicant-actions).

<Callout icon="📘" theme="info">
  ### Note

  Currently, this method is available only for South Africa Bank Account Verification (zaf_gov_bav).
</Callout>

## Required permissions

To use this method, no particular [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions) is required on the [app token.](https://docs.sumsub.com/sumsub/docs/app-tokens) You can call the method with a<br />regular app token, or from an authenticated SDK/Sumsub ID session.

Still, your account must have the E-KYC (Non-Doc Verification) feature enabled — calling this method without it enabled returns a `403 Error`.

# Request examples

```curl Bank account and ID card details
curl -X POST \
     'https://api.sumsub.com/resources/applicantActions/6a0da506e6bc596440b00000/ekyc/submit' \
     -H 'Content-Type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -d '{
           "idDoc": {
             "country": "ZAF",
             "lastName": "Doe",
             "idDocType": "OTHER",
             "bankAccount": {
               "accountDocType": "ID_CARD",
               "accountDocNumber": "9912306001080",
               "accountNumber": "1234567890",
               "bankName": "FNB"
             }
           }
         }'
```
```curl Bank account and passport details
curl -X POST \
     'https://api.sumsub.com/resources/applicantActions/6a0da506e6bc596440b00000/ekyc/submit' \
     -H 'Content-Type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -d '{
           "idDoc": {
             "country": "ZAF",
             "lastName": "Doe",
             "idDocType": "OTHER",
             "bankAccount": {
               "accountDocType": "PASSPORT",
               "accountDocNumber": "567890123",
               "accountNumber": "1234567890",
               "bankName": "FNB"
             }
           }
         }'
```

# Response explained

The following table describes the response structure:

<Table>
  <thead>
    <tr>
      <th>
        Field
      </th>

      <th>
        Type
      </th>

      <th>
        Optional
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `status`
      </td>

      <td>
        String
      </td>

      <td>
        No
      </td>

      <td>
        Verification status:

        - `completed` — submission completed.
      </td>
    </tr>
  </tbody>
</Table>

# Response examples

If the request is successfully sent and processed, you can get one of the following responses.

## Provided data is valid

```json
{
  "status" : "completed"
}
```

## Provided data is invalid or didn't pass the check

```json
{
  "code": 409,
  "correlationId": "a158690cbbb5cff7ee5d8e3d16920865",
  "errorCode": 9107,
  "errorName": "violations-found",
  "description": "Violations found"
}
```

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

```json
{
  "code": 404,
  "correlationId": "95c14ae6fa745e59664ae2e7d9265160",
  "description": "HTTP 404 Not Found"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/api/applicantActions/{actionId}/ekyc/submit": {
      "post": {
        "responses": {
          "200": {
            "description": ""
          }
        },
        "parameters": [
          {
            "in": "path",
            "name": "actionId",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "Unique applicant action identifier in the Sumsub system.<br><br>You can get this identifier in response to [action submission](https://docs.sumsub.com/sumsub/reference/create-applicant-action) or by calling [this method](https://docs.sumsub.com/sumsub/reference/get-applicant-actions)."
          }
        ],
        "operationId": "post_resources-api-applicantactions-actionid-ekyc-submit",
        "summary": "Submit bank check details for action",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "idDoc": {
                    "type": "object",
                    "properties": {
                      "country": {
                        "type": "string",
                        "description": "Alpha-3 country code (`ZAF`).",
                        "default": "ZAF"
                      },
                      "idDocType": {
                        "type": "string",
                        "description": "Type of the data provided for verification (`OTHER`).",
                        "default": "OTHER"
                      },
                      "lastName": {
                        "type": "string",
                        "description": "Last name provided by the applicant."
                      },
                      "bankAccount": {
                        "type": "object",
                        "properties": {
                          "accountDocType": {
                            "type": "string",
                            "description": "<p>Type of the ID document provided for verification. Supported values:</p><ul><li><code>ID_CARD</code></li><li><code>PASSPORT</code></li></ul>",
                            "enum": [
                              "ID_CARD",
                              "PASSPORT"
                            ]
                          },
                          "accountDocNumber": {
                            "type": "string",
                            "description": "Identification number provided by the applicant."
                          },
                          "accountNumber": {
                            "type": "string",
                            "description": "Account number provided by the applicant."
                          },
                          "bankName": {
                            "type": "string",
                            "description": "<p>Bank name provided by the applicant. Supported values:</p><ul><li><code>ABSA</code></li><li><code>AFRICAN</code></li><li><code>CAPITEC</code></li><li><code>FNB</code></li><li><code>INVESTEC</code></li><li><code>NEDBANK</code></li><li><code>STANDARD</code></li><li><code>DISCOVERY</code></li><li><code>SASFIN</code></li><li><code>GRINDROD</code></li><li><code>TYME</code></li><li><code>FIRSTRAND</code></li><li><code>RANDMERCHANT</code></li><li><code>RMB</code></li></ul>",
                            "enum": [
                              "ABSA",
                              "AFRICAN",
                              "CAPITEC",
                              "DISCOVERY",
                              "FIRSTRAND",
                              "FNB",
                              "GRINDROD",
                              "INVESTEC",
                              "NEDBANK",
                              "RANDMERCHANT",
                              "RMB",
                              "SASFIN",
                              "STANDARD",
                              "TYME"
                            ]
                          }
                        },
                        "description": "Bank account details provided by the applicant.",
                        "required": [
                          "accountDocType",
                          "accountDocNumber",
                          "accountNumber",
                          "bankName"
                        ]
                      }
                    },
                    "description": "Document data.",
                    "required": [
                      "country",
                      "idDocType",
                      "lastName",
                      "bankAccount"
                    ]
                  }
                },
                "required": [
                  "idDoc"
                ]
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```